Bug 192811 - Yumex queue dissappears after repository initialization
Yumex queue dissappears after repository initialization
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 07:14 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 09:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-05-23 07:14:51 EDT
Description of problem:
While running Yumex and adding packages to the Que, selecting
other repositories and refreshing the definitions removes all
already allocated queues chosen.

Version-Release number of selected component (if applicable):
yumex-1.0.1-1.0.fc5

How reproducible:
Open Yumex, refresh the repository data definitions.
Select a few packages to update using a testing or development source.
Refresh the repository definitions again and the queue has dissappeared.


Steps to Reproduce:
1. Open Yumex.
2. Select packages for update
3. Refresh repository definition data.
  
Actual results:
Selected packages put in Que dissappear. 

Expected results:
Selected packages should stay allocated even after new repository information
if an only if the packages are new packages.

Additional info:
In this case the selected packages
were from updates-testing, and the new repository added was Fedora development.
I can see how all packages probably had a package in development.
In any case if I do not want the newest set of packages from development alone
but wanted one or two, I would be left in the dirt re-selecting all packages
previously selected. I am unsure how yum.conf pkgpolicy tag set at newest
comes into play in this situation. 
The actual situation here is with Core, Extras, and Updates read in, packages
selected, libqtparted.so is a missing dependency, which I assume is in
development and development was added to the current repository data.
The que dissappeared. I think maybe subtrees of packages from each repository
could perhaps be listed, say I need development's Parted, but only want GCC
updates from updates, or updates testing and development is shown also.
Comment 1 Tim Lauridsen 2006-05-24 02:33:12 EDT
The default behavior is the clear everything, when doing a refresh.
I dont think it is posible the keep older packages when adding a repo with newer
versions of the same packages, like development, i think it will mess up the
dependencies resolving.
Comment 2 Jasper O. Hartline 2006-05-24 09:12:26 EDT
Ok. It makes sense in that regard of course to only show the newest packages.
I am also thinking that disregarding newer packages altogether which are already
checked into the queue may also be of benefit to some, but certainly a hassle in
the way of deciding what is or isn't known to the user.
e.g. If you already have packages selected in que, adding another repository
will only show packages selectable outside of the current qued selections packages.
Interesting. Ok. I guess that's about it as far as suggestions from me. 
Thanks.

Note You need to log in before you can comment on or make changes to this bug.